#Configuration file for Tryton 4.0
#The configuration file control some aspects of the behavior of Tryton. The file uses a simple ini-file format.
#It consists of sections, led by a [section] header and followed by name = value entries:
#    [database] uri = postgresql://user:password@localhost/ path = /var/lib/trytond
#	For more information see ConfigParser.
#Sections
#	This section describes the different main sections that may appear in a Tryton configuration file,
#	the purpose of each section, its possible keys, and their possible values.
#	Some modules could request the usage of other sections for which the guideline asks them to be named like their module.

#[web]
#	Defines the behavior of the web interface.
#listen
#	Defines a comma separated list of couple of host (or IP address) and port numer separeted by a colon to listen on.
#	The default value is localhost:8000.
#hostname
#	Defines the hostname for this network interface.
#root
#	Defines the root path to retrieve data for GET request.
#[web]
#listen = localhost:8000
#hostname =
#root  =

#[database]
#	Defines how database is managed.
#uri
#	Contains the URI to connect to the SQL database. The URI follows the RFC-3986. The typical form is:
#    database://username:password@host:port/
#The default available databases are:
#	PostgreSQL
#		pyscopg2 supports two type of connections:
#       	TCP/IP connection: postgresql://user:password@localhost:5432/
#       	Unix domain connection: postgresql://username:password@/
#	SQLite
#		The only possible URI is: sqlite://
#	MySQL
#		Same as for PostgreSQL.
#path
#	The directory where Tryton should store files and so the user running trytond must have write access on this directory.
#	The default value is /var/lib/trytond/.
#list
#	A boolean value (default: True) to list available databases.
#	Default is True
#retry
#	The number of retries when a database operation error occurs during a request.
#	Default is 5
#language
#	The main language of the database that will be stored in the main table for translatable fields.
#	Default: en_US
#
#[database]
#uri = postgresql://user:password@localhost:5432/
#path = /var/lib/trytond
#list = True
#retry = 5
#language = en_US


#[cache]
#	Defines size of various cache.
#model
#	The number of different model kept in the cache per transaction.
#	Default: 200
#field
#	The number of field to load with an eager Field.loading.
#	Default: 100

#[table]
#	This section allows to override the default generated table name for a ModelSQL. The main goal is to bypass limitation on the name length of the database backend. For example:
#[table]
#account.invoice.line = acc_inv_line
#account.invoice.tax = acc_inv_tax

#[ssl]
#	Activates the SSL on all network protocol.
#	Note
#		SSL is activated by defining privatekey. Please refer to SSL-CERT on how to use private keys and certficates.
#privatekey
#	The path to the private key.
#certificate
#	The path to the certificate.
#[ssl]
#privatekey =
#certificate =

#[email]
#uri
#	The SMTP-URL to connect to the SMTP server which is extended to support SSL and STARTTLS. The available protocols are:
#
#        smtp: simple SMTP
#        smtp+tls: SMTP with STARTTLS
#        smtps: SMTP with SSL
#
#	The default value is: smtp://localhost:25
#	syntax is smtp://user:password@host:port
#from
#	Defines the default From address when Tryton sends emails.
#[email]
#uri = smtp://localhost:25
#from = tryton@localhost

#[session]
#timeout
#	The time in second before a session expires.
#	Default : 600
#super_pwd
#	The server password used to authenticate database management from the client. It is encrypted using using the Unix crypt(3) routine.
#	Such password can be generated using this command line:
#
#	python -c 'import getpass,crypt,random,string; print crypt.crypt(getpass.getpass(), "".join(random.sample(string.ascii_letters + string.digits, 8)))'
#[session]
#timeout = 600
#super_pwd =

#[report]
#unoconv
#	The parameters for unoconv.
#[report]
#unoconv = pipe,name=trytond;urp;StarOffice.ComponentContext

# Module settings
#
# Some modules are reading configuration parameters from this
# configuration file. These settings only apply when those modules
# are installed.
#

#[webdav]
#	Define the behavior of the WebDAV network interface.
#listen
#	Same as for web except it have no default value.
#[webdav]
#listen = localhost:8001

#[ldap_authentication]
# The URI to connect to the LDAP server.
#uri = ldap://host:port/dn?attributes?scope?filter?extensions
# A basic default URL could look like
#uri = ldap://localhost:389/
